# Maintainer: Joaquin (Pato) Decima <jdecima@lynx.net.ar>

pkgname=lynx-dock
pkgver=0.1.0
pkgrel=1
pkgdesc="Lynx Dock - Official Dock for LynxOS"
url="https://gitlab.com/LynxOS/Desktop/$pkgname"
depends=(
        'nwjs'
        'lynx-bootstrap'
        'lynx-menu'
        'lynx-vue'
        'python-dbus'
        'python-gobject'
        'python-xlib'
        )
makedepends=(
            'nodejs'
            'npm'
            )
license=('GPL')
arch=('x86_64')
md5sums=('618d6d718b6eb03a0f970b5d5eb9a038')
source=("$url/-/archive/$pkgver/$pkgname-$pkgver.tar.gz")

package() {
    cd $pkgname-$pkgver
    install -dm755 $pkgdir/usr/share/Lynx/$pkgname/
    install -dm755 $pkgdir/usr/bin/
    cp -r $srcdir/$pkgname-$pkgver/* $pkgdir/usr/share/Lynx/$pkgname/
    cd $pkgdir/usr/share/Lynx/$pkgname/ && npm i
    chmod a+x $pkgdir/usr/share/Lynx/$pkgname/$pkgname
    sudo ln -sf /usr/share/Lynx/$pkgname/$pkgname $pkgdir/usr/bin/$pkgname 
}
